# RJ VentaBoletosAdm

## Índice

* [Configuração Inicial](#configuracao-inicial)
* [Processo de desenvolvimento](#processo-de-desenvolvimento)
 
   
## Configuração Inicial

* clonar repositórios

* Dependências
```
git clone https://gitrj.rjconsultores.com.br/utilidades/Auditador.git
git clone https://gitrj.rjconsultores.com.br/utilidades/GeneradorBoletosCNAB.git
git clone https://gitrj.rjconsultores.com.br/utilidades/Flyway.git
git clone https://gitrj.rjconsultores.com.br/adm/ModelWeb.git
git clone https://gitrj.rjconsultores.com.br/adm/IntegracaoReceitaDespesa.git
```
* Principal
```
git clone https://gitrj.rjconsultores.com.br/adm/VentaBoletosAdm.git
```

usar o <a href='https://gitrj.rjconsultores.com.br/adm/ventaBoletosAdm/src/branch/master/clone.sh'>'clone.sh'</a>
ou usar o  <a href='https://gitrj.rjconsultores.com.br/adm/ventaBoletosAdm/src/branch/master/AdmGit.psf'>'AdmGit.psf'</a>

****

## Processo de desenvolvimento

### Fluxo
<img src="https://gitrj.rjconsultores.com.br/adm/ventaBoletosAdm/raw/branch/master/web/gui/img/GitHub-Flow-1-1024x541.png">

### Diagrama do Workflow
<img src="https://gitrj.rjconsultores.com.br/adm/ventaBoletosAdm/raw/branch/master/web/gui/img/GitHub-Flow-Detalhamento.png">

### Processo 

#### Passos a seguir

##### 1
* gerar uma branch baseado no caso a ser desenvolvido `git checkout -b <nome_branch>`
* realizar o envio da branch para o gitea `git push --set-upstream origin <nome_branch>`
* modificar a versão do pom baseado na regra: primeiro dígito grande melhoria, segundo dígito melhoria/adição de arquivos novos e terceiro dígito correção de bug
##### 2
* subir as modificações `git add . && git commit -m "descrição" && git push`
##### 3
* realizar o pull request diretamente no gitea
##### 4
* Necessário uma aprovação para validar o request
##### 5
* após OK da revisão realizar o merge para a master
* ##### SEMPRE ATENTAR PARA FAZER MERGE 1º DOS PROJETOS DAS DEPENDÊNCIAS, POIS O JENKINS ESTÁ CONFIGURADO PRA GERAR ASSIM QUE FOR FEITO MERGE NO PROJETO PRINCIPAL E A PARTIR DELE GERAR AS DEPENDÊNCIAS 
##### 6
* a geração de versão no gitea é feita de forma automática pelo jenkins


***